#pragma once
#include <Arduino.h>
#include "config.h"

bool     sd_init();
uint8_t  sd_list_files(char files[][FILENAME_MAX_LEN], uint8_t maxCount);
bool     sd_open_file(const char* filename);
uint32_t sd_count_lines();
bool     sd_read_line(char* buf, uint16_t bufLen);
void     sd_close_file();
bool     sd_is_file_open();
